html, body {
    margin: 0 !important;
    padding: 0 !important;
    height: 100%;
    overflow: 
}

#full-chat-wrapper {
    height: 90vh; 
    margin: 0 !important;
    padding: 0 !important;
    background-color: transparent !important;
    
    border: 2px solid #dee2e6 !important;
    border-radius: 8px; 
    overflow: hidden;
}

.chat-message {
    border-bottom: 1px solid #f0f0f0; 
    padding-bottom: 10px;
    margin-bottom: 10px !important;
    transition: background-color 0.2s;
}

.chat-message:last-child {
    border-bottom: none;
    margin-bottom: 0 !important;
}

.chat-message:hover {
    background-color: #fcfcfc;
}

.date-separator {
    text-align: center;
    font-size: 0.8rem;
    color: #6c757d; 
    font-weight: 600;
    text-transform: uppercase;
    background-color: transparent;
    padding: 2px 10px;
    border-radius: 20px;
    display: block;
    width: fit-content;
    margin-left: auto;
    margin-right: auto;
}